View Issue Details

IDProjectCategoryView StatusLast Update
0001184Kali Linux[All Projects] Queued Tool Additionpublic2021-05-18 11:00
Reportersaberzaid Assigned Tomuts  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Versionkali-dev 
Summary0001184: Cuckoo Sandbox v1.1
DescriptionCuckoo Sandbox is a malware analysis system. It simply means that you can throw any suspicious file at it and in a matter of seconds Cuckoo will provide you back some detailed results outlining what such file did when executed inside an isolated environment.

cuckoo

Cuckoo generates a handful of different raw data which include:

    Native functions and Windows API calls traces
    Copies of files created and deleted from the filesystem
    Dump of the memory of the selected process
    Full memory dump of the analysis machine
    Screenshots of the desktop during the execution of the malware analysis
    Network dump generated by the machine used for the analysis

In order to make such results more consumable to the end users, Cuckoo is able to process them and generate different type of reports, which could include:

    JSON report
    HTML report
    MAEC report
    MongoDB interface
    HPFeeds interface

Even more interestingly, thanks to Cuckoo’s extensive modular design, you are able to customize both the processing and the reporting stages. Cuckoo provides you all the requirements to easily integrate the sandbox into your existing frameworks and storages with the data you want, in the way you want, with the format you want.

git clone git://github.com/cuckoobox/cuckoo.git

Activities

muts

2014-07-24 00:53

administrator   ~0002366

Upgraded, closed.

Issue History

Date Modified Username Field Change
2014-05-11 07:30 saberzaid New Issue
2014-05-12 17:16 xploitx Issue cloned: 0001188
2014-06-04 15:19 karkassa Issue cloned: 0001375
2014-07-24 00:53 muts Note Added: 0002366
2014-07-24 00:53 muts Status new => closed
2014-07-24 00:53 muts Assigned To => muts
2014-07-24 00:53 muts Resolution open => fixed
2014-07-24 00:53 muts Status closed => resolved
2021-05-18 10:55 g0tmi1k Fixed in Version => kali-dev
2021-05-18 11:00 g0tmi1k Category New Tool Requests => Queued Tool Addition